<template>
  <div class="all-destinations">
    <ul class="buttons">
      <li v-for="item in items">
        <a href="javascript:void(0);" @click="toggle(item)" :class="{'active': item.isActive }">
          <span>{{ item.title }}</span>
          <i class="fas fa-chevron-down"></i>
        </a>
      </li>
    </ul>
    <slot></slot>
  </div>
</template>

<script>
export default {
  data() {
    return {
      items: []
    };
  },
  mounted() {
    this.items = this.$children;
  },
  methods: {
    toggle: function(item) {
      this.items.forEach(element => {
        if (element != item && !item.isActive) {
            element.isActive = false;
        } else if(!item.isActive) {
            $(item.$el).slideDown(); 
        }
      });
      item.isActive = !item.isActive;
    }
  }
};
</script>